# $Revision: 1.23 $, $Date: 2001/11/15 03:07:22 $
Summary:	Persistence of Vision Ray Tracer
Summary(pl):	Persistence of Vision Ray Tracer
Name:		povray
Version:	3.1g
Release:	5
License:	distrituable
Group:		Applications/Graphics
Group(de):	Applikationen/Grafik
Group(pl):	Aplikacje/Grafika
Source0:	ftp://ftp.povray.org/pub/povray/Official/Unix/povuni_s.tgz
Source1:	ftp://ftp.povray.org/pub/povray/Official/Unix/povuni_d.tgz
# pvm.patch is instead of that source, and its based on it
#Source2:	pvmpov-3.1e2.tgz
Patch0:		%{name}-makefile_and_config.patch
Patch1:		%{name}-pvm.patch
Patch2:		%{name}-png_with_pvm.patch
URL:		http://www.povray.org/
BuildRequires:	zlib-devel
BuildRequires:	libpng-devel >= 1.0.8
%{!?_without_x:BuildRequires:XFree86-devel}
%{!?_without_pvm:BuildRequires:pvm-devel >= 3.4.3-24 }
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

#ugly but now _pvm_root/_pvm_arch isnt defined in macros

%define		_pvm_root 	%{_libdir}/pvm3
%define		_pvm_arch	%(ls %{_pvm_root}/conf/|sed -e 's/\.def//')

%description
The Persistence of Vision(tm) Ray-Tracer creates three-dimensional,
photo-realistic images using a rendering technique called ray-tracing.
It reads in a text file containing information describing the objects
and lighting in a scene and generates an image of that scene from the
view point of a camera also described in the text file. Ray-tracing is
not a fast process by any means, but it produces very high quality
images with realistic reflections, shading, perspective and other
effects.

%description -l pl
Persistence of Vision(tm) Ray-Tracer tworzy trjwymiarowe,
fotorealistyczne obrazy za pomoc techniki renderingu zwanej
ray-tracing. Program pobiera z pliku tekstowego informacje opisujce
obiekty oraz wiato przedstawianego wiata, a nastpnie generuje
rysunek z punktu widzenia kamery, ktra take jest definiowana w w/w
pliku tekstowym. Ray-tracing nie pozwala na szybkie tworzenie obrazw,
ale za to twrca otrzymuje wyskokiej jakoci bitmapy z realistycznymi
efektami, tj. odbicia wiata, cienie, perspektywa i inne.

%if %{!?_without_x:1}%{?_without_x}
%package X11
Summary:	X Window povray executable
Summary(pl):	povray pod X Window
Group:		Applications/Graphics
Group(de):	Applikationen/Grafik
Group(pl):	Aplikacje/Grafika
Requires:	%{name} = %{version}

%description X11
The Persistence of Vision(tm) Ray-Tracer X Window executable.
%endif

%if %{!?_without_pvm:1}%{?_without_pvm:0}
%package pvm
Summary:	PVM/unix povray executable
Group:		Applications/Graphics
Group(de):	Applikationen/Grafik
Group(pl):	Aplikacje/Grafika
Requires:	%{name} = %{version}

%description pvm
The Persistence of Vision(tm) Ray-Tracer PVM/unix executable.

%if %{!?_without_x:1}%{?_without_x:0}
%package pvm-X11
Summary:	PVM/xwin povray executable
Group:		Applications/Graphics
Group(de):	Applikationen/Grafik
Group(pl):	Aplikacje/Grafika
Requires:	%{name} = %{version}

%description pvm-X11
The Persistence of Vision(tm) Ray-Tracer PVM/xwin executable.
%endif
%endif

%prep
%setup -q -n povray31 -b 1 
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
cd source/unix
%{__make} newunix %{!?_without_x:newxwin} %{!?_without_pvm:newunix_pvm %{!?_without_x:newxwin_pvm}} OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/skel,%{_mandir}/man1,%{_datadir}/povray31,%{_pvm_root}/bin/%{_pvm_arch}}


install source/unix/povray $RPM_BUILD_ROOT%{_bindir}
%{!?_without_x:install source/unix/x-povray $RPM_BUILD_ROOT%{_bindir}}
%{!?_without_pvm:install source/unix/pvmpov $RPM_BUILD_ROOT%{_pvm_root}/bin/%{_pvm_arch}}
%{!?_without_pvm:%{!?_without_x:install source/unix/x-pvmpov $RPM_BUILD_ROOT%{_pvm_root}/bin/%{_pvm_arch}}}
install source/unix/povrayrc $RPM_BUILD_ROOT/etc/skel/.povrayrc

install povray.1 $RPM_BUILD_ROOT%{_mandir}/man1

cp -r allscene include scenes $RPM_BUILD_ROOT%{_datadir}/povray31
install *.ini *.pov $RPM_BUILD_ROOT%{_datadir}/povray31

gzip -9nf gamma.gif.txt povlegal.doc povuser.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc gamma.gif.txt.gz povuser.txt.gz gamma.gif povlegal.doc.gz
%attr(755,root,root) %{_bindir}/povray
%{_datadir}/povray31
/etc/skel/.povrayrc
%{_mandir}/man1/*

%if %{!?_without_x:1}%{?_without_x:0}
%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/x-povray
%endif

%if %{!?_without_pvm:1}%{?_without_pvm:0}
%files pvm
%defattr(644,root,root,755)
%attr(755,root,root) %{_pvm_root}/bin/%{_pvm_arch}/pvmpov

%if %{!?_without_x:1}%{?_without_x:0}
%files pvm-X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_pvm_root}/bin/%{_pvm_arch}/x-pvmpov
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: povray.spec,v $
Revision 1.23  2001/11/15 03:07:22  kloczek
- s/Copyright/License/

Revision 1.22  2001/11/12 16:06:58  wiget
typo

Revision 1.21  2001/11/12 14:41:03  wiget
release 5

Revision 1.20  2001/11/12 14:40:30  wiget
marge UNSTABLE branch and final fixes

Revision 1.19.2.8  2001/07/02 01:39:24  agaran
another thing because im not sure if all archs should have LINUX (in pvm
doc we have LINUX for ix86, LINUXSPARC for sparc port and so on)

Revision 1.19.2.7  2001/07/02 01:00:04  agaran
some more fixes around bcond

Revision 1.19.2.6  2001/07/01 17:47:56  agaran
some more fixes..bcond should now work better (i hope)

Revision 1.19.2.5  2001/06/30 10:45:23  agaran
BuildReq: s/libpng/libpng-devel/

Revision 1.19.2.4  2001/06/30 10:38:59  agaran
another fixies around conditionals

Revision 1.19.2.3  2001/06/30 10:19:35  agaran
some conditionals

Revision 1.19.2.2  2001/06/30 09:58:41  agaran
still under destruction^wconstruction

Revision 1.19.2.1  2001/06/29 23:28:15  agaran
trying to add pvm support with another subpackage

Revision 1.19  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.18  2000/07/28 17:31:46  kloczek
- adapterized.

Revision 1.17  2000/07/28 13:58:26  zagrodzki
- release 4, built against libpng >= 1.0.8

Revision 1.16  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.14  2000/05/15 03:59:46  kloczek
- release 3,
- added missing %defattr() in main,
- spec adapterized.

Revision 1.13  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.11  2000/03/23 06:14:33  kloczek
- missing $RPM_BUILD_ROOT in %install.

Revision 1.10  2000/03/23 06:05:38  kloczek
- fixed double %files.

Revision 1.9  2000/03/23 06:04:44  kloczek
- added missing %description for X11,
- typo in Requires rule for X11.

Revision 1.8  2000/03/23 06:02:29  kloczek
- release 2,
- added X11 subpackage.

Revision 1.7  2000/03/21 14:18:07  kloczek
- added XFree86-devel to BuildRequires,
- removed bashism from %prep and %build (pushd/popd),
- simplifications in prep, %build and %install,
- added missing %attr() for binaries in %files.

Revision 1.6  2000/03/21 13:01:16  misiek
- fixed empty log message

Revision 1.5  2000/03/19 07:21:41  bonkey
- added full Source url.

Revision 1.4  1999/11/02 13:30:20  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.3  1999/10/17 21:34:06  wrobell
- using %{_bindir}, %{_mandir}, %{_datadir}

Revision 1.2  1999/10/09 22:10:24  wrobell
- version number removed from name of patch file

Revision 1.1  1999/10/09 22:08:01  wrobell
- initial release
